# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           jai-imageio-core
Version:        1.1
Release:        1%{?dist}
Summary:        Java Advanced Imaging Image IO Library

Group:          Development/Libraries
License:        BSD
URL:            https://jai-imageio.dev.java.net/
Source0:        %{name}-%{version}.tgz
#  cvs -d :pserver:guest@cvs.dev.java.net:/cvs login
#  cvs -d :pserver:guest@cvs.dev.java.net:/cvs export -r jai-imageio-1_1-fcs jai-imageio-core
#  tar czf ../SOURCES/jai-imageio-core-1.1.tgz jai-imageio-core/

Source1:        http://repo1.maven.org/maven2/com/sun/media/jai_imageio/1.1/jai_imageio-1.1.pom
Source2:        http://www.brockmann-consult.de/mvn/os/com/sun/media/clibwrapper-jiio/1.1/clibwrapper-jiio-1.1.pom

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 1.6
BuildRequires:  ant
BuildRequires:  jai-core
Requires:  java >= 1.6
Requires:  jai-core

BuildArch:      noarch
Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5


%description
Java Advanced Imaging Image IO.


%package javadoc
Summary:        Javadoc documentation for %{name}
Group:          Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}

%build
export CLASSPATH=$(build-classpath jai/jai-core)
%{ant} all


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/jai \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -m 644 $(ls build/linux-*/debug/lib/ext/jai_imageio.jar) $RPM_BUILD_ROOT%{_javadir}/jai/jai-imageio-%{version}.jar
install -m 644 $(ls build/linux-*/debug/lib/ext/clibwrapper_jiio.jar) $RPM_BUILD_ROOT%{_javadir}/jai/clibwrapper-jiio-%{version}.jar
ln -s jai-imageio-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jai/jai-imageio.jar
ln -s clibwrapper-jiio-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jai/clibwrapper-jiio.jar

cp -pr build/linux-*/javadocs/docs-jcp/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.jai-jai-imageio.pom
%add_to_maven_depmap javax.media jai_imageio %{version} JPP/jai jai-imageio
%add_to_maven_depmap javax.media jai-imageio %{version} JPP/jai jai-imageio
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.jai-clibwrapper-jiio.pom
%add_to_maven_depmap com.sun.media clibwrapper-jiio %{version} JPP/jai clibwraper-jiio
%add_to_maven_depmap com.sun.media clibwrapper_jiio %{version} JPP/jai clibwraper-jiio


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/jai
%{_javadir}/jai/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%doc LICENSE*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sun Oct 17 2010 Ralph Apel <r.apel@r-apel.de> - 1.1-1
- First release
